All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.tableview
Class BasicOriginComponentUI

    com.sas.swing.visuals.tableview.BasicOriginComponentUI

Direct Known Subclasses:
  BasicOLAPOriginComponentUI

    public class BasicOriginComponentUI

Nested Class Summary
`class` | `BasicOriginComponentUI.MouseInputHandler`

Field Summary
`protected javax.swing.event.MouseInputListener` | `mouseInputListener`
`protected OriginComponent` | `originComponent`
`protected javax.swing.CellRendererPane` | `rendererPane`
`protected boolean` | `resizingColumnHeader`
`protected boolean` | `resizingRowHeader`

Constructor Summary
`BasicOriginComponentUI()`

Method Summary
`protected javax.swing.event.MouseInputListener` | `createMouseInputListener()` Creates the mouse listener for the JTable.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`protected void` | `installDefaults()` Initialize JTable properties, e.g. font, foreground, and background.
`protected void` | `installKeyboardActions()` Register all keyboard actions on the JTable.
`protected void` | `installListeners()` Attaches listeners to the JTable.
`void` | `installUI(javax.swing.JComponent c)`
`boolean` | `isResizingColumnHeader()`
`boolean` | `isResizingRowHeader()`
`void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)`
`void` | `setResizingColumnHeader(boolean newValue)`
`void` | `setResizingRowHeader(boolean newValue)`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallKeyboardActions()`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(javax.swing.JComponent c)`

Field Detail

### originComponent

    protected OriginComponent originComponent

### rendererPane

    protected javax.swing.CellRendererPane rendererPane

### resizingColumnHeader

    protected boolean resizingColumnHeader

### resizingRowHeader

    protected boolean resizingRowHeader

### mouseInputListener

    protected javax.swing.event.MouseInputListener mouseInputListener

Constructor Detail

### BasicOriginComponentUI

    public BasicOriginComponentUI()

Method Detail

### createMouseInputListener

    protected javax.swing.event.MouseInputListener createMouseInputListener()

  Creates the mouse listener for the JTable.

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`

### installDefaults

    protected void installDefaults()

  Initialize JTable properties, e.g. font, foreground, and background. The font, foreground, and background properties are only set if their current value is either null or a UIResource, other properties are set if the current value is null.

  See Also:
    `installUI(javax.swing.JComponent)`

### installListeners

    protected void installListeners()

  Attaches listeners to the JTable.

### installKeyboardActions

    protected void installKeyboardActions()

  Register all keyboard actions on the JTable.

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`

### uninstallDefaults

    protected void uninstallDefaults()

### uninstallListeners

    protected void uninstallListeners()

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

### setResizingColumnHeader

    public void setResizingColumnHeader(boolean newValue)

### isResizingColumnHeader

    public boolean isResizingColumnHeader()

### setResizingRowHeader

    public void setResizingRowHeader(boolean newValue)

### isResizingRowHeader

    public boolean isResizingRowHeader()

### paint

    public void paint(java.awt.Graphics g,
                      javax.swing.JComponent c)

  Overrides:
    `paint` in class `javax.swing.plaf.ComponentUI`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.